## Script (Python) "getBedTypeNames"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
# $Id: getBedTypeNames.py 934 2006-11-24 16:59:44Z joachim $

type_suffixes = [('fr','New Student'),
                 ('fi','Final Student'),
                 ('re','Returning Student'),
                 ('reserved','Reserved'),
                 ]
special = [item for item in context.portal_vocabularies.acco_special_handling.items()
                            if not item[0].startswith('no')]
type_suffixes.extend(special)
type_suffixes.append(('ekenhuan','Ekenhuan Campus'))
dict = {}
for gender in ('female','male'):
    for suffix,desc in type_suffixes:
        dict['%s_%s' % (gender,suffix)] = '%s %s' % (gender.capitalize(),desc) 
return dict
##return {'female_fr': 'Female New Student',
##             'female_fi': 'Female Final Student',
##             'female_re': 'Female Returning Student',
##             'female_reserved': 'Female Reserved',
##             'female_xx': 'Female Other',
##             'male_fr': 'Male New Student',
##             'male_fi': 'Male Final Student',
##             'male_re': 'Male Returning Student',
##             'male_reserved': 'Male Reserved',
##             'male_xx': 'Male Other'
##             }
